QGIS Application - Bug report #19684

The Extract layer extent algorithm should not take table in input

2018-08-24 02:55 PM - Harrissou Santanna

Status: Closed

Priority: Normal
Assignee:

Category: Processing/Core

Affected QGIS version:3.3(master)
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 27509

Description

Geometryless layer should not be allowed as input data to extract extent

History

#1 - 2019-01-30 11:58 AM - Victor Olaya
- Status changed from Open to Feedback

Maybe that algorithm can be removed? It is redundant, since all that it does can be done with the "layer from extent" one

#2 - 2019-01-30 11:25 PM - Nyall Dawson

Maybe that algorithm can be removed? It is redundant, since all that it does can be done with the "layer from extent" one

They address different use cases though -- for models, wouldn't we need both options?

#3 - 2019-02-26 06:52 PM - Harrissou Santanna

- Status changed from Feedback to Open

#4 - 2019-02-26 10:34 PM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Open to Closed

This was fixed in 3.6
